Bug 449053 - handle multiple nameservers in DHCPv6 reply
handle multiple nameservers in DHCPv6 reply
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: dhcpv6 (Show other bugs)
5.2
All Linux
urgent Severity medium
: rc
: ---
Assigned To: David Cantrell
: ZStream
Depends On:
Blocks: 253764 449327
  Show dependency treegraph
 
Reported: 2008-05-29 23:19 EDT by David Cantrell
Modified: 2009-01-20 16:38 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:38:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Cantrell 2008-05-29 23:19:14 EDT
Handle multiple nameservers in option 23 in a DHCPv6 reply.

Do not print all nameserver addresses on one 'nameserver' line in /etc/resolv.conf.  Print each one on its 
own line, so we can handle an arbitrary number of nameservers in the reply.

Fix already upstream.
Comment 7 David Cantrell 2008-09-16 20:10:46 EDT
The patch for this problem was first available in dhcpv6-1.0.10-5.el5 and is still there.
Comment 10 David Cantrell 2008-09-25 18:05:48 EDT
You will need to create an /etc/dhcp6c.conf file and make sure the following lines are in the file:

interface INTERFACE {
    request domain-name-servers;
};

Where INTERFACE is something like 'eth0'.  dhcp6c will update /etc/resolv.conf only if it has a 'request domain-name-servers' option and/or a 'request domain-search-list' option in the configuration file for the interface you are using.

On the server, make sure you have this line in /etc/dhcp6s.conf:

option dns_servers <list of DNS servers>;

For example:

option dns_servers 2003::6:1 2003::6:2;

Just specify multiple name servers on the 'option dns_servers' line, separate the server addresses by a space.

Hope that helps.
Comment 15 errata-xmlrpc 2009-01-20 16:38:38 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0165.html

Note You need to log in before you can comment on or make changes to this bug.